package com.ywt.outpatient.domain.models.config;

import java.math.BigDecimal;

/**
 * 医务通相关价格配置
 */
public class PriceConfig {

    /**
     * 远程会诊价格
     */
    private BigDecimal treatmentPrice;

    /**
     * 医生咨询默认费用（单位：分）
     */
    private Integer consultFee;

    /**
     * 医生远程会诊默认费用（单位：分）
     */
    private Integer treatmentFee;

    /**
     * 医生推广费用（单位：分）
     */
    private Integer marketingFee;

    /**
     * 提交上月重点医生名单截止日
     */
    private Integer marketingDate;

    /**
     * 医生上月的患者数
     */
    private Integer marketingCount;

    /**
     * 默认开处方药房ID
     */
    private Integer pharmacyId;

    /**
     * 默认开处方药房名称
     */
    private String pharmacyName;

    /**
     * 患者是否可以向医药代表添加的医生问诊，1-是，0-否
     */
    private Integer reps;

    public BigDecimal getTreatmentPrice() {
        return treatmentPrice;
    }

    public void setTreatmentPrice(BigDecimal treatmentPrice) {
        this.treatmentPrice = treatmentPrice;
    }

    public Integer getConsultFee() {
        return consultFee;
    }

    public void setConsultFee(Integer consultFee) {
        this.consultFee = consultFee;
    }

    public Integer getTreatmentFee() {
        return treatmentFee;
    }

    public void setTreatmentFee(Integer treatmentFee) {
        this.treatmentFee = treatmentFee;
    }

    public Integer getMarketingFee() {
        return marketingFee;
    }

    public void setMarketingFee(Integer marketingFee) {
        this.marketingFee = marketingFee;
    }

    public Integer getMarketingDate() {
        return marketingDate;
    }

    public void setMarketingDate(Integer marketingDate) {
        this.marketingDate = marketingDate;
    }

    public Integer getMarketingCount() {
        return marketingCount;
    }

    public void setMarketingCount(Integer marketingCount) {
        this.marketingCount = marketingCount;
    }

    public Integer getPharmacyId() {
        return pharmacyId;
    }

    public void setPharmacyId(Integer pharmacyId) {
        this.pharmacyId = pharmacyId;
    }

    public String getPharmacyName() {
        return pharmacyName;
    }

    public void setPharmacyName(String pharmacyName) {
        this.pharmacyName = pharmacyName;
    }

    public Integer getReps() {
        return reps;
    }

    public void setReps(Integer reps) {
        this.reps = reps;
    }
}
